LabelRenderer.RenderNothing (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.LabelRenderer.RenderNothing class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class LabelRenderer.RenderNothing

    java.lang.Object
      org.biojava.bio.gui.sequence.LabelRenderer.RenderNothing

All Implemented Interfaces:
  LabelRenderer

Enclosing interface:
  LabelRenderer

    public static class LabelRenderer.RenderNothing

extends Object
implements LabelRenderer

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.LabelRenderer
`LabelRenderer.RenderNothing`

Field Summary

Fields inherited from interface org.biojava.bio.gui.sequence.LabelRenderer
`RENDER_NOTHING`

Constructor Summary
`LabelRenderer.RenderNothing()`

Method Summary
`double` | `getMinimumWidth(SequenceRenderContext src)` Retrieve the minimum space required to render the label.
`void` | `paint(Graphics2D g, SequenceRenderContext sp, int min, int max, SequenceRenderContext.Border border)` Render a label for the information for sp to g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelRenderer.RenderNothing

    public LabelRenderer.RenderNothing()

Method Detail

### paint

    public void paint(Graphics2D g,
                      SequenceRenderContext sp,
                      int min,
                      int max,
                      SequenceRenderContext.Border border)

  Description copied from interface: `LabelRenderer`
  Render a label for the information for sp to g.

  Specified by:
    `paint` in interface `LabelRenderer`
  Parameters:
    `g` - the Graphics2D to render to
    `sp` - the SequencePanel that encapsulates the information to render
    `min` - the minimum symbol to render (inclusive)
    `max` - the maximum symbol to render (inclusive)

### getMinimumWidth

    public double getMinimumWidth(SequenceRenderContext src)

  Description copied from interface: `LabelRenderer`
  Retrieve the minimum space required to render the label.

  Specified by:
    `getMinimumWidth` in interface `LabelRenderer`
  Parameters:
    `src` - the SequencePanel to return info for
  Returns:
    the leading distance of the renderer for that sequence panel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD